Extending Qt Creator Manual | ClangClParser

Extending Qt Creator Manual 4.5.2

# ClangClParser Class

(ProjectExplorer::ClangClParser)

Inherits: | ProjectExplorer::IOutputParser

- List of all members, including inherited members

## Public Functions

| ClangClParser()

## Reimplemented Public Functions

virtual void | stdError(const QString &line) override
virtual void | stdOutput(const QString &line) override

- 9 public functions inherited from ProjectExplorer::IOutputParser

### Additional Inherited Members

- 2 public slots inherited from ProjectExplorer::IOutputParser
- 2 signals inherited from ProjectExplorer::IOutputParser
- 1 static public member inherited from ProjectExplorer::IOutputParser

## Member Function Documentation

### ClangClParser::ClangClParser()

Default constructs an instance of ClangClParser.

### `[override virtual]` void ClangClParser::stdError(const QString &line)

### `[override virtual]` void ClangClParser::stdOutput(const QString &line)